<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.7

Copyright (C) 2006-2007  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/fic_age.inc.php");
include_once("../inc/fic_do.inc.php");
include_once("../inc/fic_st.inc.php");
include_once("../inc/fic_hum.inc.php");
include_once("../inc/fic_cli.inc.php");
include_once("../inc/fic_co.inc.php");
include_once("../inc/fic_cocl.inc.php");
include_once("../inc/fic_int.inc.php");
include_once("../inc/fic_ot.inc.php");
include_once("../inc/fic_statut.inc.php");
include_once("../inc/fic_tec.inc.php");
include_once("../inc/fic_txt.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_time.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/func_txtcm.inc.php");
include_once("../inc/func_mail.inc.php");
include_once("../classes/phpmailer/class.phpmailer.php");
include_once("../inc/mail.inc.php");
Archivelog(@$_SESSION["code_log"]);

// Variables Formulaire
$titre = strip_tags(trim(@$_POST["titre"]));
$td = strip_tags(trim(@$_POST["td"]));

$datedde = datefrang(strip_tags(trim(@$_POST["dateddef"])));
$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
$codeage = str_majuscules(strip_tags(trim(@$_POST["codeage"])));
$codedo = str_majuscules(strip_tags(trim(@$_POST["codedo"])));
$codecocl = str_majuscules(strip_tags(trim(@$_POST["codecocl"])));
$codecli = str_majuscules(strip_tags(trim(@$_POST["codecli"])));
$prev = strip_tags(trim(@$_POST["prev"]));
$site = strip_tags(trim(@$_POST["idsite"]));
$codeorig = str_majuscules(strip_tags(trim(@$_POST["codeorig"])));
$codestatut = str_majuscules(strip_tags(trim(@$_POST["codestatut"])));
$codelieu = str_majuscules(strip_tags(trim(@$_POST["codelieu"])));
$urg = strip_tags(trim(@$_POST["urgence"]));
$daterdvf = strip_tags(trim(@$_POST["daterdvf"]));
if ($daterdvf <> "")
	$daterdv = datefrang($daterdvf);
else
	$daterdv = "";
$hrdv = strip_tags(trim(@$_POST["hrdv"]));
if ($hrdv<>"")
	$hrdv.=":00";
$mat = str_escape(trim(@$_POST["mat"]));
$login = strip_tags(str_escape(trim(@$_POST["login"])));
$mdpsys = strip_tags(str_escape(trim(@$_POST["mdpsys"])));
$mdpbios = strip_tags(str_escape(trim(@$_POST["mdpbios"])));
$acompte = strip_tags(trim(@$_POST["acpte"]));
$pbm = str_escape(trim(@$_POST["pbm"]));
$indexgar = strip_tags(trim(@$_POST["gar"]));
if ($indexgar == "0")
	$gar = 0;
else
	$gar = 1;

$fgar = strip_tags(trim(@$_POST["fgar"]));
if ($fgar == "") // Si pas de référence facture saisie, pas sous garantie
	$gar=0;

$codetec = str_majuscules(strip_tags(trim(@$_POST["codetec"])));
$duree = formateheure(strip_tags(trim(@$_POST["duree"])).":00");
$durees = heure_sec($duree);
$dureeoff = formateheure(strip_tags(trim(@$_POST["dureeoff"])).":00");
$dureeoffs = heure_sec($dureeoff);
$tpsreel = $durees - $dureeoffs;

$fait = str_escape(trim(@$_POST["fait"]));
$exdateprevf = strip_tags(trim(@$_POST["exdateprevf"]));
$dateprevf = strip_tags(trim(@$_POST["dateprevf"]));
if ($dateprevf <> "")
	$dateprev = datefrang($dateprevf);
else
	$dateprev = "";
$codereg = strip_tags(trim(@$_POST["codereg"]));

$datefinf = strip_tags(trim(@$_POST["datefinf"]));
if ($datefinf <> "")
{
	$datefin = datefrang($datefinf);
	$codestatut="CLOT"; // S'il existe une date de fin, c'est que le dossier est clôt
}
else
	$datefin = "";
$pces = strip_tags(trim(@$_POST["pieces_hs"]));
$totalint = strip_tags(trim(@$_POST["totalint"]));

$codeuser = @$_SESSION["code_log"];

$msg="";
$contrat="";
$retourliste = TRUE;

if (strip_tags(trim(@$_POST["enrimp"])) == "Enregistrer & Imprimer")
{
	$retourliste = FALSE;
	$imprim = TRUE;
}


switch ($td)
{
	// Ajout de la fiche Intervention
	case "add" :
		$codei = crecode("I");
	
		$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
		$rech = "SELECT * FROM " .TBINT. " WHERE `int_code` = '$codei'";
		$rs = mysql_query($rech) or die(mysql_error());
		if (mysql_num_rows($rs) == 0)
		{
			$rech2 = "INSERT INTO " .TBINT
			. " (int_datecrea,int_codecrea,int_datemod,int_codemod,int_datedde,int_code,int_codeage,int_codedo,int_codecli,int_codecocl,int_codeorig,int_codestatut,int_codelieu,int_urg,int_daterdv,int_hrdv,int_mat,int_login,int_mdpsys,int_mdpbios,int_pbm,int_gar,int_fgar,int_acpte,int_codetec,int_durees,int_fait,int_dateprev,int_codereg,int_datefin,int_pces,int_idsite)"
			. " VALUES"
			. " ('$datea','$codeuser','$datea','$codeuser','$datedde','$codei','$codeage','$codedo','$codecli','$codecocl','$codeorig','$codestatut','$codelieu','$urg','$daterdv','$hrdv','$mat','$login','$mdpsys','$mdpbios','$pbm','$gar','$fgar','$acompte','-1','$durees','$fait','$dateprev','EC','$datefin','$pces','$site')";
			$rs2 = mysql_query($rech2) or die(mysql_error());
	
			/* Vérification du type de client et MAJ si nécessaire */
			
			$rech2 = "SELECT cli_type FROM " .TBCLI. " WHERE `cli_code` = '$codecli'";
			$rs2 = mysql_query($rech2) or die(mysql_error());
			if ($row = mysql_fetch_array($rs2))
			{
				extract ($row);
				
				// MAJ de la fiche Client (pour modification du type), et passage en type 'demande d'intervention' si pas déjà client
				if ($cli_type < 1)
				{
					$rech2 = "UPDATE `" .TBCLI. "` SET `cli_datemod`='".$datea."', `cli_codemod`='".$codeuser."', `cli_prop`='".$codeage."', `cli_type`='1'  WHERE `cli_code` = '".$codecli."'";
					$rs2 = mysql_query($rech2) or die(mysql_error());
				}
			}
			
			$msg = "Intervention enregistrée";
		}
		else
		{
			$msg = "Ce code existe déjà !";
			$retourliste = FALSE;
			$imprim = FALSE;
		}
	
		mysql_free_result($rs);
		
		// Balayage et activation des problèmes sélectionnés
		if ($_SESSION["pbm_choisis"] <> "")
		{
			$tab_pbm = explode("-",$_SESSION["pbm_choisis"]);
			foreach ($tab_pbm as $id_pbm)
			{
				if (trim($id_pbm) <> "")
				{
					$rech = "UPDATE `" .TBRPBM. "` SET `rpbm_datemod`= '".$datea."', `rpbm_codemod`= '".$codeuser."', `rpbm_codeint`= '".$codei."' WHERE `rpbm_id`= '".$id_pbm."'";
					$rs = mysql_query($rech) or die(mysql_error());
				}
			}
		}
		
		mysql_close($conn);
	
		if ($retourliste == TRUE)
		{
			$pcli=FALSE;
			// Envoi d'email vers le client
			if ($prev==0)
				envoi_mail("Mise en place d'une nouvelle intervention (".$codei.")","int","cre","xxx","cli",$codei,"","",TRUE);
			else
			{
				if ($prev<>4) // Le niveau 4 est "Ne pas prévenir"
				{
					$pcli=TRUE;
					$txtcorps=cre_corps_txtc("int","cre","xxx","cli",$codei,"","");
					$_SESSION["txt"] = $txtcorps;
				}
				// Envoi d'email vers le webmaster
				envoi_mailwm("Mise en place d'une nouvelle intervention (".$codei.")","int","cre","xxx","cli",$codei,"","");
			}				
			// Envoi d'email vers le donneur d'ordres
			if ((@$_SESSION["niv_log"] == 7) OR (@$_SESSION["niv_log"] == 6))
				envoi_mail("Nouvelle intervention","int","cre","xxx","do",$codei,"","",FALSE);
			// Envoi d'email vers l'agence (Si pas créé par une agence)
			if ((@$_SESSION["niv_log"] <> 4) AND (@$_SESSION["niv_log"] <> 3))
				envoi_mail("Nouvelle intervention","int","cre","xxx","age",$codei,"","",FALSE);
			// Envoi d'email vers le centre de gestion (Si pas créé par le CDG)
			if (@$_SESSION["niv_log"] <> 5)
				envoi_mail("Nouvelle intervention","int","cre","xxx","cdg",$codei,"","",FALSE);
		}
		break;
		
	// MAJ de la fiche Intervention
	case "edit" :
		
		$maj_int_ok=TRUE;
		if (($codestatut == "CLOT") OR ($dateprevf <> ""))
		{
			if (nb_ot_actifs($code)>0)
			{
				$maj_int_ok=FALSE;
				$codestatut="";
				$msg = "Il y a des bons de travail rattach&eacute;s &agrave; cette intervention.<br>Merci de les clores avant de clore cette intervention ou de pr&eacute;venir le client.<br>L'intervention a &eacute;t&eacute; enregistr&eacute;e.<br>La date d'appel (client non pr&eacute;venu) et le statut reste inchang&eacute;s";
				$retourliste = FALSE;
			}
		}

		$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
		if ($maj_int_ok==TRUE)
		{
			$rech = "UPDATE `" .TBINT. "` SET `int_datemod`='".$datea."', `int_codemod`='".$codeuser."',`int_daterdv`='".$daterdv."',`int_hrdv`='".$hrdv."', `int_codecli`='".$codecli."', `int_codeage`='".$codeage."', `int_codecocl`='".$codecocl."', `int_codeorig`='".$codeorig."', `int_codestatut`='".$codestatut."',";
			$rech .=" `int_codelieu`='".$codelieu."', `int_urg`='".$urg."', `int_mat`='".$mat."', `int_login`='".$login."', `int_mdpsys`='".$mdpsys."', `int_mdpbios`='".$mdpbios."', `int_pbm`='".$pbm."', `int_acpte`='".$acompte."', `int_codetec`='".$codetec."',`int_durees`='".$durees."', `int_fait`='".$fait."', `int_dateprev`='".$dateprev."', `int_datefin`='".$datefin."',";
			$rech .=" `int_gar`='".$gar."', `int_fgar`='".$fgar."', `int_codereg`='".$codereg."', `int_pces`='".$pces."', `int_idsite`=".$site;
			$rech .=" WHERE `int_code` = '".$code."'";
		}
		else
		{
			$rech = "UPDATE `" .TBINT. "` SET `int_datemod`='".$datea."', `int_codemod`='".$codeuser."',`int_daterdv`='".$daterdv."',`int_hrdv`='".$hrdv."', `int_codecli`='".$codecli."', `int_codeage`='".$codeage."', `int_codecocl`='".$codecocl."', `int_codeorig`='".$codeorig."',";
			$rech .=" `int_codelieu`='".$codelieu."', `int_urg`='".$urg."', `int_mat`='".$mat."', `int_login`='".$login."', `int_mdpsys`='".$mdpsys."', `int_mdpbios`='".$mdpbios."', `int_pbm`='".$pbm."', `int_acpte`='".$acompte."', `int_codetec`='".$codetec."',`int_durees`='".$durees."', `int_fait`='".$fait."',";
			$rech .=" `int_gar`='".$gar."', `int_fgar`='".$fgar."', `int_codereg`='".$codereg."', `int_pces`='".$pces."', `int_idsite`=".$site;
			$rech .=" WHERE `int_code` = '".$code."'";
		}
		$rs = mysql_query($rech) or die(mysql_error());
	
		/* Vérification du type de client et MAJ si nécessaire */
		$rech2 = "SELECT * FROM " .TBCLI. " WHERE `cli_code` = '".$codecli."'";
		$rs2 = mysql_query($rech2) or die(mysql_error());
		if ($row = mysql_fetch_array($rs2))
		{
			extract ($row);

			// MAJ de la fiche Client (pour modification du type), et passage en type 'demande d'intervention' ou 'Déjà Client' si pas déjà client
			if ($cli_type < 2)
			{
				// Intervention effectuée et client prévenu, on passe en 'Déjà Client' ?
				if ($datefinf <> "")
					$rech2 = "UPDATE `" .TBCLI. "` SET `cli_datemod`='".$datea."', `cli_codemod`='".$codeuser."', `cli_prop`='".$codeage."', `cli_type`='2'  WHERE `cli_code` = '".$codecli."'";
				$rs2 = mysql_query($rech2) or die(mysql_error());
			}
		}
			
		// Balayage et mise à jour des problèmes sélectionnés
		
		// Mise à jour des champs codes interventions
		$tab_pbm = explode("-",$_SESSION["pbm_choisis"]);
		$rech = "SELECT * FROM `" .TBRPBM. "` WHERE `rpbm_codeint`= '".$code."'";
		$rs = mysql_query($rech);
		if (mysql_num_rows($rs)>0) // Il y a déjà des problèmes déclarés rattachés à cette intervention
		{
			while ($row = mysql_fetch_assoc($rs))
			{
				extract($row);
	
				 // L'ID a bien été choisie par l'utilisateur, donc on active (et on ne touche pas au traitement effectué)
				if (in_array($rpbm_id,$tab_pbm))
				{
					$rech2 = "UPDATE `" .TBRPBM. "` SET `rpbm_datemod`= '".$datea."', `rpbm_codemod`= '".$codeuser."', `rpbm_codeint`= '".$code."' WHERE `rpbm_id`= '".$rpbm_id."'";
					$rs2 = mysql_query($rech2) or die(mysql_error());
				}
				// L'ID n'a pas été choisi par l'utilisateur
				// Comme il l'avait précédemment choisie, on vide la date de traitement, le traitement, 
				// et le code intervention
				else
				{
					$rech2 = "UPDATE `" .TBRPBM. "` SET `rpbm_datemod`= '".$datea."', `rpbm_codemod`= '".$codeuser."', `rpbm_codeint`= NULL, `rpbm_datett`= NULL, `rpbm_fait`= NULL  WHERE `rpbm_id`= '".$rpbm_id."'";
					$rs2 = mysql_query($rech2) or die(mysql_error());
				}
	
			}
		}
		else // Il n'y a pas de problèmes déclarés rattachés à cette intervention
		{
			// On rattache les problèmes choisis à cette intervention
			foreach ($tab_pbm as $id_pbm)
			{
				if (trim($id_pbm) <> "")
				{
					$rech = "UPDATE `" .TBRPBM. "` SET `rpbm_datemod`= '".$datea."', `rpbm_codemod`= '".$codeuser."', `rpbm_codeint`= '".$code."' WHERE `rpbm_id`= '".$id_pbm."'";
					$rs = mysql_query($rech) or die(mysql_error());
				}
			}
		}
		
		// Traitement des problèmes affectés à l'intervention
		if ($codestatut == "CLOT")
		{
			// Si c'est clôt on prend la date de traitement de l'intervention comme date de traitement de chaque problème déclaré et solutionné
			$rech = "UPDATE `" .TBRPBM. "` SET `rpbm_datett`= '".$datefin."' WHERE `rpbm_codeint`= '".$code."'";
			$rs = mysql_query($rech) or die(mysql_error());
		}
		
		mysql_close($conn);
	
		// MAJ de l'historique du contrat
		$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);

		// On supprime déjà celui existant (permet de supprimer si on avait choisi un contrat précédemment)
		$rech = "DELETE FROM `" .TBCOCLH. "` WHERE `coclh_codeint` = '$code'";
		$rs = mysql_query($rech) or die(mysql_error());
	
		// Si nécessaire, on injecte le code choisi
		if ($codecocl <> "") // Si code contrat, on met à jour
		{
			$rech = "INSERT INTO " .TBCOCLH;
			$rech.= " (coclh_codecli,coclh_codecocl,coclh_codeint)";
			$rech.= " VALUES";
			$rech.= " ('$codecli','$codecocl','$code')";
			$rs = mysql_query($rech) or die(mysql_error());
		}
	
		mysql_close($conn);
	
		if ($maj_int_ok==TRUE)
		{
			$pcli=FALSE;
			$contrat="";
			
			if ($codestatut <> "CLOT")
			{
				// Si l'intervention est terminée, qu'il n'a pas déjà été prévenu (ou que la date pour prévenir a été changée),
				// on prévient le client
				if ($dateprevf <> "")
				{
					if ($exdateprevf<>$dateprevf)
					{
						// Envoi d'email vers le client
						if ($prev==0)
						{
							if ($codedo=="")
								envoi_mail("Votre intervention ".$code." est terminée","int","fait","xxx","cli",$code,"",$totalint,TRUE);
							else
								envoi_mail("Votre intervention ".$code." est terminée","int","fait2","xxx","cli",$code,"",$totalint,TRUE);
						}
						else
						{
							if ($prev<>4) // Le niveau 4 est "Ne pas prévenir"
							{
								$pcli=TRUE;
								$txtcorps=cre_corps_txtc("int","fait","xxx","cli",$code,"",$totalint);
								$_SESSION["txt"] = $txtcorps;
							}
							// On prévient le Webmaster
							envoi_mailwm("Intervention ".$code." terminée","int","fait","xxx","cli",$code,"",$totalint);
						}
					}
				}
			}
			else
			{
				// On prévient le client de la clôture de l'intervention
				if ($prev==0)
				{
					if ($codedo=="")
						envoi_mail("Votre intervention ".$code." est close","int","clot","xxx","cli",$code,"",$totalint,FALSE);
					else
						envoi_mail("Votre intervention ".$code." est close","int","clot2","xxx","cli",$code,"",$totalint,FALSE);
				}
				else
				{
					if ($prev<>4) // Le niveau 4 est "Ne pas prévenir"
					{
						$pcli=TRUE;
						$txtcorps=cre_corps_txtc("int","clot","xxx","cli",$code,"",$totalint);
						$_SESSION["txt"] = $txtcorps;
					}
					// On prévient le Webmaster
					envoi_mailwm("Intervention ".$code." close","int","clot","xxx","cli",$code,"",$totalint);
				}				

				// On prévient le donneur d'ordres (si nécessaire)
				if ($codedo<>"")
					envoi_mail("Intervention ".$code." close","int","clot","xxx","do",$code,"",$totalint,FALSE);
				// Envoi d'email vers le centre de gestion
				if (mod_fact_age($int_codeage) == 0) // L'agence n'emet PAS ses factures
					envoi_mail("Intervention close","int","faitf","xxx","cdg",$code,"",$totalint,TRUE);
				else  // L'agence emet ses factures
					envoi_mail("Intervention close","int","faiti","xxx","cdg",$code,"",$totalint,TRUE);

				// Si rattachée à un contrat, quelques tests
				if ($codecocl <> "")
				{
					$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
					mysql_select_db(DBNAME);
					$rech = "SELECT * FROM " .TBCOCL." WHERE `cocl_code` = '".$codecocl."'";
					$rs = mysql_query($rech) or die(mysql_error());
					if (mysql_num_rows($rs) <> 0)
					{
						if ($row = mysql_fetch_array($rs))
						{
							extract($row);
							
							$con_aclore=FALSE;
							
							// On vérifie s'il y a une date de fin de contrat
							// Si oui et qu'elle est dépassée, on clot le contrat
							if (formatedate($cocl_datef)<>"")
							{		
								if ((comp_date($cocl_datef,$datefin) == TRUE) OR (comp_date($cocl_datef,$datea) == TRUE))
								{
									$con_aclore=TRUE;
									$msg .= "<br><br>La date d'échéance du contrat ".$codecocl." est atteinte ou dépassée. <br> Le contrat ".$codecocl." est clôt.";
									$retourliste = FALSE;
								}
							}

							// Toujours pas à clore ?							
							if ($con_aclore==FALSE)
							{
								// Si c'est un contrat 'Quota horaire', on vérifie que le temps consommé ne dépasse pas le solde du contrat
								if ($cocl_typh == 1)
								{
									if ($tpsreel <> 0)
									{
										$nouv_solde = 0;
										$surplus = 0;
			
										$nouv_solde = $cocl_soldes - $tpsreel;
										
										if ($nouv_solde <= 0) // Si nouveau solde<=0, on clôt le contrat
										{
											if ($nouv_solde <0)
											{
												$surplus = -$nouv_solde;
												$msg .="<br><br>Le nombre d'heures effectuées est supérieur de ".substr(sec_heure($surplus),0,5)." heures au solde d'heure du contrat  ".$codecocl.".<br>Le contrat ".$codecocl." est clôt.";
											}
											else
											{
												$msg .="<br><br>Le solde d'heures est maintenant nul.<br>Le contrat ".$codecocl." est clôt.";
											}
											$retourliste = FALSE;
											$con_aclore=TRUE;
										}
										else // Sinon on met simplement le solde à jour (ou on clot si date dépassée)
										{
											$rech2 = "UPDATE `" .TBCOCL;
											$rech2.= "` SET `cocl_soldes`='".$nouv_solde."'";
											$rech2.= " WHERE `cocl_code` = '".$codecocl."'";
											$rs2 = mysql_query($rech2) or die(mysql_error());
										}
									}
								}
							}
							
							if ($con_aclore==TRUE)
							{
								$rech2 = "UPDATE `" .TBCOCL;
								$rech2.= "` SET `cocl_soldes`='0', `cocl_datefin`='".$datefin."'";
								$rech2.= " WHERE `cocl_code` = '".$codecocl."'";
								$rs2 = mysql_query($rech2) or die(mysql_error());
							}

							mysql_close($conn);
							
							if ($con_aclore==TRUE) // Si besoin, on prévient de la clôture
							{
								$contrat=$codecocl;
								// Envoi d'email vers le client
								if ($prev==0)
									envoi_mail("Clôture de votre contrat","con","clo","xxx","cli",$codecocl,"","",FALSE);
								else
									envoi_mailwm("Clôture de contrat","con","clo","xxx","cli",$codecocl,"","");
								// Envoi d'email vers l'agence
								envoi_mail("Clôture de contrat","con","clo","xxx","age",$codecocl,"","",FALSE);
								// Envoi d'email vers le centre de gestion
								envoi_mail("Clôture de contrat","con","clo","xxx","cdg",$codecocl,"","",TRUE);
							}
						}
					}
				}
			}
				
			$msg = "Intervention mise &agrave; jour.";
		}
		break;		


	// Suppression de la fiche Intervention
	case "del" :
		if ($codestatut <> "CLOT")
		{
			if (nb_ot($code)==0)
			{
				// Envoi d'email vers l'agence
				if ((@$_SESSION["niv_log"] <> 4) AND (@$_SESSION["niv_log"] <> 3))
					envoi_mail("Annulation d'intervention","int","del","xxx","age",$code,"","",FALSE);
				// Envoi d'email vers le centre de geston
				if (@$_SESSION["niv_log"] <> 5)
					envoi_mail("Annulation d'intervention","int","del","xxx","cdg",$code,"","",FALSE);
	
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
				$rech = "DELETE FROM `" .TBINT. "` WHERE `int_code` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());
		
				// Suppression du détail horaire
				$rech = "DELETE FROM `" .TBINTH. "` WHERE `inth_codeint` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());
		
				// Suppression de l'historique du contrat
				$rech = "DELETE FROM `" .TBCOCLH. "` WHERE `coclh_codeint` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());
		
				// Suppression des historiques articles sur cette intervention
				$rech = "DELETE FROM `" .TBPDTI. "` WHERE `pdti_codeint` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());
		
				// On rend de nouveau disponible les problèmes affectés à cette intervention
				$rech = "UPDATE `" .TBRPBM. "` SET `rpbm_datemod`= '".$datea."', `rpbm_codemod`= '".$codeuser."', `rpbm_codeint`= NULL, `rpbm_datett`= NULL, `rpbm_fait`= NULL   WHERE `rpbm_codeint`= '".$code."'";
				$rs = mysql_query($rech) or die(mysql_error());
		
				// Remise à niveau type client
				$rech2 = "SELECT * FROM " .TBINT. " WHERE `int_codecli` = '$codecli'";
				$rs2 = mysql_query($rech2) or die(mysql_error());
				// Plus d'intervention pour ce client ?
				if (mysql_num_rows($rs) == 0) 
				{
					// Il y a un relevé ou un contrat ?
					$rech3 = "SELECT * FROM `" .TBCOCL. "` WHERE `cocl_codecli` = '$codecli'";
					$rs3 = mysql_query($rech3) or die(mysql_error());
					$nbcocl = mysql_num_rows($rs3);

					$rech3 = "SELECT * FROM `" .TBREL. "` WHERE `rel_codecli` = '$codecli'";
					$rs3 = mysql_query($rech3) or die(mysql_error());
					$nbrel = mysql_num_rows($rs3);
					
					// Si oui, on ne touche à rien (le client reste en 'déjà client')
					// Si non, on le ramène en 'demande d'intervention' puisqu'il n'y a plus d'intervention
					if (($nbcocl==0) AND ($nbrel==0))
					{
						$rech3 = "UPDATE `" .TBCLI. "` SET `cli_datemod`='".$datea."', `cli_codemod`='".$_SESSION["code_log"]."', `cli_prop`='".$int_codeage."', `cli_type`='1'  WHERE `cli_code` = '".$int_codecli."'";
						$rs3 = mysql_query($rech3) or die(mysql_error());
					}
				}
	
				mysql_close($conn);
				
		
				$msg = "Intervention supprim&eacute;e";
			}
			else
			{
				$msg = "Il y a des bons de travail rattach&eacute;s &agrave; cette intervention.<br>Merci de les supprimer avant de supprimer cette intervention.<br>L'intervention n'a pas &eacute;t&eacute; supprim&eacute;e.";
				$retourliste = FALSE;
				$imprim = FALSE;				
			}
		}
		else
		{
			$msg = "Impossible de supprimer une intervention close.";
			$retourliste = FALSE;
			$imprim = FALSE;				
		}
		break;
		
	default :
		break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html><head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Fiche Intervention</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>



</head>
<body>
<?php 
include_once("entete.inc.php"); 
?>
<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center" class="annot_gras_it"><?PHP echo $msg ?></p>
<br>
<br>
<?PHP if ($retourliste == FALSE) 
{ 
	if ($imprim == TRUE)
	{
		if ($td == "add")
		{
			$urlimp1 = "int_pdf.php?ci=".$codei;
			$urlimp2 = "int_pdf.php?ci=".$codei."&cgv=ok";
		}
		else
		{
			$urlimp1 = "int_pdf.php?ci=".$code;
			$urlimp2 = "int_pdf.php?ci=".$code."&cgv=ok";
		}
?>
		<p align="center">
		<a href="javascript:;" onClick="lanceimp('<?PHP echo $urlimp1; ?>');")><img src="../img/print.gif" title="Imprimer la fiche (sans CGV)" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onClick="lanceimp('<?PHP echo $urlimp1; ?>');")> Imprimer la fiche (sans CGV) </a></div>
		</p>
		<?PHP if ($codedo=="") { ?>
		<p align="center">
		<a href="javascript:;" onClick="lanceimp('<?PHP echo $urlimp2; ?>');")><img src="../img/print.gif" title="Imprimer la fiche (avec CGV)" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onClick="lanceimp('<?PHP echo $urlimp2; ?>');")> Imprimer la fiche (avec CGV) </a></div>
		</p>
		<?PHP }

		if ($surplus <> 0)
		{
			echo "<br><br>";
			echo "Que souhaitez-vous faire ?";
		}

	}
?>
	<br>
	<br>
	<table width="100%"  border="0">
	  <tr>
		<td width="3%">&nbsp;</td>
		<td width="44%"><div align="right"><a href="int_lst.php?ord=DES&tri=Code"><img src="../img/liste.gif" width="33" height="34" border="0" align="absmiddle"></a> <a href="int_lst.php?ord=DES&tri=Code" class="annot_gras_it">Retour &agrave; la liste</a></div></td>
		<td width="7%">&nbsp;</td>
		<td width="43%"><a href="index.php"><em><img src="../img/index.gif" width="48" height="48" border="0" align="absmiddle"> </em><span class="annot_gras_it">Revenir &agrave; l'accueil</span> </a></td>
		<td width="3%">&nbsp;</td>
	  </tr>
	</table>
<?PHP 
} 
else 
{
	if ($pcli==TRUE)
	{
?>
		<script type="text/javascript">
		fen_prev_client(<?PHP echo $prev; ?>,'<?PHP echo $contrat; ?>');
		</script>
<?PHP
	}

	// Vérification s'il s'agit d'une validation pour saisir les articles
	if (strip_tags(trim(@$_POST["intart"])) == "Valider pour saisir les articles")
	{
		$urlint = "int_maj.php?td=edit&ci=".$code."&cc=".$codecli."&ca=".$codeage."#intart";
		if ($codestatut <> "CLOT") // Pas de modification possible si intervention close
		{
?>
			<p align="center" class="annot_std_it">Retour &agrave; la saisie articles dans 2 secondes...</p>
			<script type="text/javascript">
			window.setTimeout("location=('<?PHP echo $urlint; ?>');",2000)
			</script>
<?PHP 
		}
		else
		{
?>
			<p align="center" class="annot_std_it">Intervention close, retour &agrave; la liste dans 2 secondes...</p>
			<script type="text/javascript">
			window.setTimeout("location=('int_lst.php?ord=DES&tri=Code');",2000)
			</script>
<?PHP
		}
	}
	else
	{ // S'il s'agit d'une validation normale ou d'une suppression, retour à la liste
		if (@$_SESSION["niv_log"] <> 2)
		{
?>
		<p align="center" class="annot_std_it">Retour &agrave; la liste dans 2 secondes...</p>
		<script type="text/javascript">
		window.setTimeout("location=('int_lst.php?ord=DES&tri=Code');",2000)
		</script>
<?PHP
		} else {
?>
		<p align="center" class="annot_std_it">Retour &agrave; l'index dans 2 secondes...</p>
		<script type="text/javascript">
		window.setTimeout("location=('index.php');",2000)
		</script>
<?PHP		
		}
	} 
}
include_once("pied.php");
?>
